package com.friday.custody.dao;

import com.friday.custody.entity.TgAccountSeqInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 
 * 
 * @author lyb
 * @email k0051582@gmail.com
 * @date 2022-02-16 10:32:27
 */
@Mapper
public interface TgAccountSeqInfoDao extends BaseMapper<TgAccountSeqInfoEntity> {

    boolean insertOrUpdate(TgAccountSeqInfoEntity entity);

    List<String> getBankAccoList(String trustNo,String admin);

    List<String> getFundCodeList(String trustNo);

    List<TgAccountSeqInfoEntity> queryBySeqNo(String seqNo, String trustNo, String admin);
}
